import React from "react";
import MultipleItem from "./MultipleItem";
import SingleItem from "./SingleItem";
export function SelectBoxContent(props) {
    var _a = props.prefixCls, prefixCls = _a === void 0 ? "xy-select" : _a, multiple = props.multiple, selectedCfg = props.selectedCfg, renderSelectItem = props.renderSelectItem;
    if (multiple) {
        var cfgs = selectedCfg;
        return (cfgs && (React.createElement("ul", null, cfgs.map(function (cfg) { return (React.createElement(MultipleItem, { prefixCls: prefixCls, value: cfg.value, key: cfg.value }, renderSelectItem ? renderSelectItem(cfg) : cfg.label)); }))));
    }
    else {
        var cfg = selectedCfg;
        return (selectedCfg && (React.createElement(SingleItem, { prefixCls: prefixCls, value: cfg.value }, renderSelectItem ? renderSelectItem(cfg) : cfg.label)));
    }
}
export default React.memo(SelectBoxContent);
//# sourceMappingURL=SelectBoxContent.js.map