/// <reference types="react" />
import { OptionConfig, OptionsContextState } from "../interface";
declare type UseOptionsReturn = [React.MutableRefObject<OptionConfig[]>, React.MutableRefObject<OptionsContextState>, (val: any) => OptionConfig | OptionConfig[], React.MutableRefObject<Map<any, OptionConfig>>];
/**
 * 管理select内声明的option
 * @export
 * @param {boolean} multiple    是否多选
 * @returns UseOptionsReturn
 */
export default function useOptions(multiple: boolean, children?: React.ReactNode): UseOptionsReturn;
export {};
