/// <reference types="react" />
import { SelectProps } from "../interface";
declare type UseValueReturn = [any, (val: string | number) => void, (val: string | number) => void, string, (search: string) => void];
/**
 * 管理select选中的值
 * @param props select的属性
 * @param setVisible    设置可视状态
 * @param align   对齐函数
 */
export default function useValue(props: SelectProps, setVisible: (v: boolean) => void, align: React.MutableRefObject<Function>): UseValueReturn;
export {};
