import classNames from "classnames";
import React from "react";
/**
 * Select选项项 - 单选时
 */
export function SingleItem(props) {
    var className = props.className, style = props.style, children = props.children;
    var prefixCls = props.prefixCls + "-item";
    var classString = classNames("" + prefixCls, className);
    return (React.createElement("div", { className: classString, style: style }, children));
}
export default React.memo(SingleItem);
//# sourceMappingURL=SingleItem.js.map